Find the answer to your Linux question:
Results 1 to 10 of 10
I'm running Mandrake 10.1 on an AMD Athlon XP2200+ with 256MB RAM. I installed Mandrake with my Logitech Quickcam Messenger plugged in.After installation I could see that it knows the ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Feb 2005
    Posts
    1

    Logitech Quickcam Support


    I'm running Mandrake 10.1 on an AMD Athlon XP2200+ with 256MB RAM. I installed Mandrake with my Logitech Quickcam Messenger plugged in.After installation I could see that it knows the camera is there,but it doesn't know what it is or how to talk to it. I tried some of the drivers one can get on the Internet. These are however a nightmare to install or even to compile for a newbie like me.

    I checked the HCL on Mandrake.org and saw that the Logitech Quickcam Express is listed as compatible.The Messenger is not there at all! Does this mean that Mandrake 10.1 will recognise and load the driver for a Logitech Quickcam Express? Will it be like plug and play? Will I need to compile drivers and such

    Thanks

  2. #2
    Just Joined!
    Join Date
    Mar 2005
    Posts
    4

    Logitech QuickCam

    ... I've your very same problem...
    did you solved it?

    thanks

    juxx

  3. #3
    Just Joined!
    Join Date
    Nov 2004
    Posts
    10
    I'm not sure if all Logitech Quickcam versions are the same but I have a Quickcam B&W and it was detected on it's own using the quickcam module. I can then use Gnomemeeting to use it...

  4. $spacer_open
    $spacer_close
  5. #4
    Linux Enthusiast
    Join Date
    Feb 2005
    Location
    SE, Stockholm
    Posts
    512
    Is it a USB cam?
    Becuase it has been quite a few issues with MDK 10.1 and USB equipment.

    I must say that I have never had any problems using MDK 10.1 with several of mine USB devices. So I guess it is a HW conflict in somewhat.

    If it is an USB model, try
    Code:
    lsusb
    And see if your CAM is listed.

  6. #5
    Just Joined!
    Join Date
    Mar 2005
    Posts
    4
    Yes swemic, my cam is listed in usb devices:
    [root@pcibm01 juxx]# lsusb
    Bus 001 Device 002: ID 046d:08f5 Logitech, Inc.
    Bus 001 Device 001: ID 0000:0000

    I can find it also in Harddrake hardware list, under
    -Unknown/others
    --camera
    have I to search for a driver?

  7. #6
    Just Joined!
    Join Date
    Nov 2004
    Posts
    10
    try lsmod. See if it loaded the quickcam module.

  8. #7
    Just Joined!
    Join Date
    Mar 2005
    Posts
    4
    This is the lsmod output:
    Module Size Used by
    sg 35516 0
    scsi_mod 107428 1 sg
    md5 4576 1
    ipv6 249412 10
    i810_audio 36052 2
    ac97_codec 17868 1 i810_audio
    soundcore 8288 3 i810_audio
    af_packet 17864 2
    floppy 57168 0
    eth1394 18792 0
    eepro100 28044 0
    mii 5216 1 eepro100
    ide-cd 38528 0
    cdrom 38844 1 ide-cd
    ohci1394 32676 0
    ieee1394 294872 2 eth1394,ohci1394
    loop 13896 0
    supermount 36528 1
    intel-agp 20608 1
    agpgart 29036 1 intel-agp
    uhci-hcd 30448 0
    usbcore 107396 3 uhci-hcd
    ext3 123496 3
    jbd 56600 1 ext3

    I found a driver here:
    http://sourceforge.net/forum/forum.php?forum_id=438568

    but I dont be able to compile it:
    running "make install" like in instructions I get several errors like below:
    qc-driver.c:3342: error: storage size of `qc_v4l_template' isn't known
    qc-driver.c:3377: error: storage size of `qc_usb_driver' isn't known
    qc-driver.c:87: warning: 'keepsettings' defined but not used
    qc-driver.c:91: warning: 'settle' defined but not used
    qc-driver.c:96: warning: 'subsample' defined but not used
    qc-driver.c:100: warning: 'compress' defined but not used
    qc-driver.c:104: warning: 'frameskip' defined but not used
    qc-driver.c:108: warning: 'quality' defined but not used
    qc-driver.c:112: warning: 'adaptive' defined but not used
    qc-driver.c:116: warning: 'shutteradapt' defined but not used
    qc-driver.c:120: warning: 'equalize' defined but not used
    qc-driver.c:130: warning: 'userlut' defined but not used
    qc-driver.c:135: warning: 'retryerrors' defined but not used
    qc-driver.c:140: warning: 'compatible' defined but not used
    qc-driver.c:189: warning: 'LIST_HEAD' declared `static' but never defined
    qc-driver.c:190: warning: 'DECLARE_MUTEX' declared `static' but never defined
    qc-driver.c:193: warning: 'userlut_contents' defined but not used
    qc-driver.c:3342: warning: 'qc_v4l_template' defined but not used
    make: *** [qc-driver.o] Error 1

  9. #8
    Just Joined!
    Join Date
    Nov 2004
    Posts
    10
    Do you have the kernel-source installed? I just tried to compile it and it works fine off the 2.6.8.1-24mdk kernel

  10. #9
    Just Joined!
    Join Date
    Mar 2005
    Posts
    4
    YEAHH! You've made it zivagolee!!
    I learned something tonigth...

    Thank you very much!

  11. #10
    Just Joined!
    Join Date
    Nov 2004
    Posts
    10
    no problemo.. glad to help out!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •